FINCORE(1)

BEZEICHNUNG
fincore - Speicherseiten der Dateiinhalte im Kern zählen

ÜBERSICHT

fincore [Optionen] Datei...

BESCHREIBUNG

fincore zählt die Seiten der Dateiinhalte, die sich im Speicher befinden (im Kern) und meldet deren Nummern. Wenn während der Zählung ein Fehler auftritt, wird eine Meldung in die Standardfehlerausgabe geschrieben und fincore fährt mit der Verarbeitung der restlichen in der Befehlszeile angegebenen Dateien fort.

Die Standardausgabe kann sich ändern. Daher sollten Sie vermeiden, die Standardausgabe in Ihren Skripten zu verwenden, wo immer es möglich ist. Definieren Sie in Umgebungen, wo eine stabile Ausgabe erforderlich ist, stets die erwarteten Spalten, indem Sie die Option --output Spaltenliste angeben.

OPTIONEN

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile in der Statusausgabe.

-b, --bytes
    gibt die Größen in Byte anstelle eines menschenlesbaren Formats aus.

    Standardmäßig werden die Größen in Byte ausgedrückt und die Präfixe sind Potenzen der Form 2^10 (1024). Die Abkürzungen der Symbole werden zur besseren Lesbarkeit abgeschnitten, indem jeweils nur der erste Buchstabe dargestellt wird. Beispiele: »1 KiB« und »1 MiB« werden als »1 K« bzw. »1 M« dargestellt. Die Erwähnung des »iB«-Anteils, der Teil der Abkürzung ist, entfällt absichtlich.

-o, --output Liste
    gibt an, welche Spalten ausgegeben werden sollen. Mit --help erhalten Sie eine Liste aller unterstützten Spalten. Die Standardliste der Spalten kann erweitert werden, wenn die Liste im Format +Liste vorliegt.

--output-all
    gibt alle verfügbaren Spalten aus.

-r, --raw
    erstellt die Ausgabe im rohen Format. Alle potenziell unsicheren Zeichen werden hexadezimal maskiert (\x<Code>).

-J, --json
    verwendet das JSON-Ausgabeformat.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

AUTOREN

SIEHE AUCH

mincore(2), getpagesize(2), getconf(1p) cachestat(2)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl fincore ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.